Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::OpenSSL_Error Class Referencefinal

`#include <openssl.h>`

Inheritance diagram for Botan::OpenSSL_Error:

## Public Member Functions
int | error_code () const noexceptoverride
ErrorType | error_type () const noexceptoverride
| OpenSSL_Error (const std::string &what, int err)
const char * | what () const noexceptoverride

## Detailed Description

Definition at line 33 of file openssl.h.

## Constructor & Destructor Documentation

Botan::OpenSSL_Error::OpenSSL_Error | ( | const std::string & | what,
|  | int | err
| ) |  |
| inline

Definition at line 36 of file openssl.h.

36 :
37 Exception(what + " failed: " + ERR_error_string(err, nullptr)),
38 m_err(err) {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.cpp:73
Botan::Exception::what
const char * what() const noexceptoverride
Definition: exceptn.h:96

## Member Function Documentation

int Botan::OpenSSL_Error::error_code | ( |  | ) | const
| inline override virtual noexcept

Return an error code associated with this exception, or otherwise 0.

The domain of this error varies depending on the source, for example on POSIX systems it might be errno, while on a Windows system it might be the result of GetLastError or WSAGetLastError. For error_type() is OpenSSLError, it will (if nonzero) be an OpenSSL error code from ERR_get_error.

Reimplemented from Botan::Exception.

Definition at line 42 of file openssl.h.

42 { return m_err; }

ErrorType Botan::OpenSSL_Error::error_type | ( |  | ) | const
| inline override virtual noexcept

Return the "type" of error which occurred.

Reimplemented from Botan::Exception.

Definition at line 40 of file openssl.h.

References Botan::OpenSSLError.

40 { return ErrorType::OpenSSLError; }
Botan::ErrorType::OpenSSLError

const char* Botan::Exception::what | ( |  | ) | const
| inline override noexcept inherited

Return a descriptive string which is hopefully comprehensible to a developer. It will likely not be useful for an end user.

The string has no particular format, and the content of exception messages may change from release to release. Thus the main use of this function is for logging or debugging.

Definition at line 96 of file exceptn.h.

References m_msg.

Referenced by Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), and Botan_FFI::ffi_guard_thunk().

96 { return m_msg.c_str(); }

The documentation for this class was generated from the following file:

- src/lib/prov/openssl/openssl.h